package no.vegvesen.meldingsformidler.common.domain

@Suppress("unused", "MemberVisibilityCanBePrivate")
class Fodselsnummer(val value: String) {
    init {
        if (value.length != 11) {
            throw IllegalArgumentException("Fødselsnummer must be 11 numbers long.")
        }

        if (!value.all { it.isDigit() }) {
            throw IllegalArgumentException("Fødselsnummer must consist of only digits.")
        }
    }

    override fun toString(): String {
        return toSafeString()
    }

    fun toSafeString(): String {
        return value.substring(0, 6) + "******"
    }
}
