@file:Suppress("MemberVisibilityCanBePrivate")

package no.vegvesen.meldingsformidler.common.domain

import java.time.Instant
import java.time.LocalTime
import java.time.MonthDay
import java.time.Year

sealed class Gyldighetsperiode

@Suppress("unused")
data class ArligRepeterendePeriode(
    val validMonths: ClosedRange<TimeOfMonth>,
    val validYears: ClosedRange<Year>
) : Gyldighetsperiode()

data class TimeOfMonth(
    val time: LocalTime = LocalTime.MIDNIGHT,
    val monthDay: MonthDay
) : Comparable<TimeOfMonth> {
    override fun compareTo(other: TimeOfMonth): Int {
        val monthDayComparison = monthDay.compareTo(other.monthDay)
        return when {
            monthDayComparison != 0 -> monthDayComparison
            else -> time.compareTo(other.time)
        }
    }
}

@Suppress("unused")
data class Period(
    val validRange: ClosedRange<Instant>,
) : Gyldighetsperiode()

