package no.vegvesen.meldingsformidler.common.domain

@Suppress("unused")
enum class PostkasseLeverandor(val organisasjonsnummer: String) {
    Digipost("984661185"),
    Eboks("922020175");

    companion object {

        fun fromOrganisasjonsnummer(organisasjonsnummer: String): PostkasseLeverandor {
            for (postkasseleverandor in entries) {
                if (postkasseleverandor.organisasjonsnummer == organisasjonsnummer) return postkasseleverandor
            }
            throw UnableToParseToPostkasseleverandorEnumException(organisasjonsnummer)
        }
    }

    class UnableToParseToPostkasseleverandorEnumException(name: String) :
        UnableToParseToEnumException(name, PostkasseLeverandor::class)

}


