package no.vegvesen.meldingsformidler.common.domain

@Suppress("unused")
enum class Sprak(val sprakkode: String, val beskrivelse: String) {
    Bokmal("nb", "Bokmål"),
    Nynorsk("nn", "Nynorsk"),
    Engelsk("en", "Engelsk"),
    Samisk("se", "Samisk");

    fun value(): String {
        return this.sprakkode
    }

    companion object {
        fun fromLanguageCode(iso6398Code: String): Sprak {
            for (sprak in entries) {
                if (sprak.sprakkode == iso6398Code) {
                    return sprak
                }
            }

            throw UnableToParseToSprakEnumException(iso6398Code)
        }
    }

    class UnableToParseToSprakEnumException(id: String) :
        UnableToParseToEnumException(id, Sprak::class)
}
