package no.vegvesen.meldingsformidler.common.extensions

@Suppress("unused")
object ExceptionExtensions {

    fun Exception.toLogMessageWithPrefix(descriptionOfOperation: String): String =
        if (stackTrace.isNotEmpty()) {
            val element = stackTrace[0]
            "Exception occurred during $descriptionOfOperation: " +
                    "${this.message}, exception occurred at: " +
                    "${element.className}.${element.methodName} (Line: ${element.lineNumber})"
        } else {
            "Exception occurred during $descriptionOfOperation: ${this.message}, but no stack trace is available."
        }
}
