@file:Suppress("unused")

package no.vegvesen.meldingsformidler.common.extensions

import java.time.Instant
import java.time.LocalDateTime
import java.time.ZoneId
import java.time.format.DateTimeFormatter

object InstantExtentions {
    fun Instant.toLocalDateTime(): LocalDateTime {
        val zonedDateTime = this.atZone(ZoneId.of("Europe/Paris"))
        val formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd'T'HH:mm:ssXXX")
        val formattedString = zonedDateTime.format(formatter)
        return LocalDateTime.parse(formattedString, formatter)
    }

    /**
     * Returns the UTC offset of the instant in the format "+HH:MM".
     *
     * Example: "+02:00"
     */
    fun Instant.utcOffset(): String = DateTimeFormatter
        .ofPattern("XXX")
        .format(atZone(ZoneId.of("Europe/Oslo")))
}
