package no.vegvesen.meldingsformidler.common.domain

import kotlin.test.Test
import org.assertj.core.api.Assertions.assertThat
import org.junit.jupiter.api.assertThrows

class AdresseLinjerTest {

    @Test
    fun `throws exception if first line is empty because offentlig post requires it`() {
        assertThrows<IllegalArgumentException> {
            AdresseLinjer("", "line2", "line3", "line4")
        }
    }

    @Test
    fun `empty adresselinje 2-4 when building from list results in three empty elements`() {
        val expected = AdresseLinjer("line1", "", "", "")

        val actual = AdresseLinjer.from(listOf("line1", null, null, null))

        assertThat(actual).isEqualTo(expected)
    }
}
