package no.vegvesen.meldingsformidler.common.domain

import java.time.Instant
import java.time.LocalTime
import java.time.MonthDay
import java.time.Year
import java.time.ZoneId
import org.junit.jupiter.api.Test

class ArligRepeterendePeriodeTest {

    @Test
    fun `year range can be initiated with dot dot notation`() {
        Year.of(2024)..Year.of(2025)
    }

    @Test
    fun `time of month range can be initiated with dot dot notation`() {
        val someTimeInTheFuture = LocalTime.ofInstant(
            Instant.now().plusSeconds(10000), ZoneId.of("Europe/Oslo")
        )

        TimeOfMonth(LocalTime.now(), MonthDay.now())..TimeOfMonth(someTimeInTheFuture, MonthDay.now())
    }

    @Test
    fun `annual cycle can be instantiated with range for year and month`() {
        ArligRepeterendePeriode(
            validMonths = TimeOfMonth(LocalTime.now(), MonthDay.now())..TimeOfMonth(LocalTime.now(), MonthDay.now()),
            validYears = Year.of(2024)..Year.of(2025)
        )
    }

}
