package no.vegvesen.meldingsformidler.common.domain

import org.assertj.core.api.Assertions.assertThat
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.assertThrows

class StringWithLengthTest {

    private class StringWithLengthImplementation(value: String, sprak: Sprak) :
        StringWithLength(value = value, length = StringLength.Max100)

    @Test
    fun `init with too long value throws exception with proper message`() {

        val exception = assertThrows<IllegalArgumentException> {
            StringWithLengthImplementation("A".repeat(101), Sprak.Engelsk)
        }

        assertThat(exception).hasMessage("StringWithLengthImplementation has length 101, which is greater than max length 100 and is not valid.")
    }
}
